AbstractExecuteAction (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands
Class AbstractExecuteAction

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractExecuteAction

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

Direct Known Subclasses:
  ExecuteAction

    public abstract class AbstractExecuteAction

extends ActionCommandBase

Invoke the appropriate `Action` for this request, and cache the returned `ActionForward`.

Version:
  $Rev: 471754 $ $Date: 2005-06-04 10:58:46 -0400 (Sat, 04 Jun 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`AbstractExecuteAction()`

Method Summary
`boolean` | `execute(ActionContext actionCtx)` Invoke the appropriate `Action` for this request, and cache the returned `ActionForward`.
`protected abstract ForwardConfig` | `execute(ActionContext context, Action action, ActionConfig actionConfig, ActionForm actionForm)` Execute the specified `Action`, and return the resulting `ForwardConfig`.

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExecuteAction

    public AbstractExecuteAction()

Method Detail

### execute

    public boolean execute(ActionContext actionCtx)
                    throws Exception

  Invoke the appropriate `Action` for this request, and cache the returned `ActionForward`.

  Specified by:
    `execute` in interface `ActionCommand`
  Specified by:
    `execute` in class `ActionCommandBase`
  Parameters:
    `actionCtx` - The `Context` for the current request
  Returns:
    `false` so that processing continues
  Throws:
    `Exception` - if thrown by the Action class

### execute

    protected abstract ForwardConfig execute(ActionContext context,
                                             Action action,
                                             ActionConfig actionConfig,
                                             ActionForm actionForm)
                                      throws Exception

  Execute the specified `Action`, and return the resulting `ForwardConfig`.

  Parameters:
    `context` - The `Context` for this request
    `action` - The `Action` to be executed
    `actionConfig` - The `ActionConfig` defining this action
    `actionForm` - The `ActionForm` (if any) for this action
  Returns:
    ForwardConfig The next location, or null
  Throws:
    `Exception` - if thrown by the `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.